queeup's add-on repository

  Thread Rating:
  • 1 Votes - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
spiff Offline
Retired Developer
Posts: 12,386
Joined: Nov 2003
Post: #16
.... this is just silly.

if you plan to host a permanent repo, submit your repository add-on for inclusion in the main repo.
find quote
thebitjockey Offline
Junior Member
Posts: 45
Joined: Oct 2006
Reputation: 0
Post: #17
spiff Wrote:.... this is just silly.

if you plan to host a permanent repo, submit your repository add-on for inclusion in the main repo.

:confused2: So hardcore porn should be available in the main repo? No
find quote
Clumsy Offline
Team-XBMC Forum Moderator
Posts: 641
Joined: Feb 2004
Reputation: 0
Post: #18
Oh noes, incoming porn discussion Big Grin
We've seen that one before, the opinions contradict quite a bit there Smile

And to stay ontopic: This post is a reminder to NOT discuss this issue in this thread. Thanks.

Always read the XBMC online-manual, FAQ and search the forum before posting.
Do not e-mail XBMC-Team members directly asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting please make sure you read this first.
find quote
kricker Offline
Team-XBMC QA Specialist
Posts: 3,450
Joined: Apr 2004
Reputation: 20
Location: Knoxville, TN
Post: #19
thebitjockey Wrote::confused2: So hardcore porn should be available in the main repo? No
The XBMC repo can host the "links" to the repos. The repo installers, if that makes sense. As spiff stated it's the add-on that adds your repo. The addons within the repo are not on XBMC's repo.

Read this before using these builds.
XBMC win32 SVN builds
Changelog
find quote
linuxluemmel Offline
Donor
Posts: 870
Joined: Jun 2009
Reputation: 0
Location: Lucern / Switzerland
Post: #20
LOL ;-) funny conversation ;-)

I guess it could be like Ubuntu

# repo1
# repo2
# repo3

Al repos are inside main and could be activating by remove #
This is the way ubuntu is working.
find quote
nikovanbasten Offline
Junior Member
Posts: 4
Joined: Aug 2010
Reputation: 0
Post: #21
Hi Queeup.

Thanks for the conversions to Dharma and all of your great work.

Do you have any plans to port your glorious Democracy Now! plug-in to the add-on world?

Thanks again, keep up the great work.

Niko.
find quote
kimp93 Offline
Aeon Group
Posts: 157
Joined: Mar 2004
Post: #22
sorry for a bit off topic. For those who are manage third party repository, I wrote a simple python script to manage repository.

http://code.google.com/p/xbmc-korean/sou...dAddons.py


Once you set your local path for addons source and repo, ready to go.
you can update single or all updated addons as long as your version # is higher in addon source. It will update addons.xml md5 according to addon packages in the repository path. It use ElementTree to parse/generate xml. If you use <2.6, just install it.
find quote
queeup Offline
Posting Freak
Posts: 762
Joined: Feb 2009
Reputation: 16
Post: #23
I moved my repo Google Code to GitHub. First post updated. I am going to update other links in other topics also.

New repo file is this

I try to update my old repository addons.xml to update new links. It look fine and working. If it will cause any problem please try manualy Force refresh from System>Settings>Add-ons>Get Add-ons or download repo aip file and install it manually like I explained first post.

PS to forum admin: Please move this repository topic to proper place. It's not testing anymore. Also edit title as you wish.
find quote
queeup Offline
Posting Freak
Posts: 762
Joined: Feb 2009
Reputation: 16
Post: #24
repo updated to version 2.0.0
I am upgrading and cleaning my add-on's for eden.
find quote
queeup Offline
Posting Freak
Posts: 762
Joined: Feb 2009
Reputation: 16
Post: #25
If you are using Frodo please update my repo manually. Instructions is on first post.
find quote
aptalca Offline
The Dude
Posts: 912
Joined: Sep 2009
Reputation: 25
Post: #26
I keep getting the dependencies not met error through both update and install from zip on eden
find quote
Teksonic Offline
Junior Member
Posts: 16
Joined: Feb 2012
Reputation: 0
Post: #27
So you know the issue isn't localized to one person. I'm getting the same error as 'aptalca' when i do the install from .zip
find quote
queeup Offline
Posting Freak
Posts: 762
Joined: Feb 2009
Reputation: 16
Post: #28
First of all that repo update is for frodo. If you guys are using eden I add some required field and you can't update. So if you are using frodo and getting some error I need debug log for solving issue Smile
(This post was last modified: 2013-01-28 20:35 by queeup.)
find quote
Teksonic Offline
Junior Member
Posts: 16
Joined: Feb 2012
Reputation: 0
Post: #29
is their an Eden only version. Or should we roll back to a older version for now?
find quote
queeup Offline
Posting Freak
Posts: 762
Joined: Feb 2009
Reputation: 16
Post: #30
If you ask me better to update xbmc to frodo and use frodo version Smile the problem is I don't have time for support multiple repo Sad that's why I always drop support for old xbmc version. Yes I admit I rush a bit for drop eden this time. Sorry about this. I can send you eden version but i am not fixing problems on eden addons. You will have problems I guess.
(This post was last modified: 2013-01-28 22:49 by queeup.)
find quote